Package src :: Module autoglade :: Class AutoGladeObject |
[show private | hide private]
[frames | no frames]

## Class AutoGladeObject

AutoGladeObject is an utility class thet relates together the Glade widget, its name and the XML element in a particular autoglade instance.

Method Summary
| ``__init__`(self, autoglade, name, widget, element)` Constructor
| ``connectIfNotConnected`(self, signal, handler, *args)` Connect the specified signal with handler if there's no another handler defined.
| `getElement(self)`
| `getName(self)`
| `getWidget(self)`
| ``__getElementByName`(self, name)` Get the DOM element by name.

Class Variable Summary
`bool` | `DEBUG` = `True`
`NoneType` | `_AutoGladeObject__autoglade` = None
`NoneType` | `_AutoGladeObject__element` = None
`NoneType` | `_AutoGladeObject__name` = None
`NoneType` | `_AutoGladeObject__widget` = None

Method Details

### __init__(self, autoglade, name=None, widget=None, element=None) (Constructor) Constructor Parameters: `autoglade` - Autoglade objet to which object is related to (type=AutoGlade.AutoGlade) `name` - Name of the AutoGladeObject (type=str) `widget` - Widget of the AutoGladeObject. This accepts the special value `autoglade.AGO_POSTPONED` to defer the initialization of the widget until some conditions are met. (type=`gtk.Widget`) `element` - Element of the AutoGladeObject (type=str) Raises: `AutoGladeRuntimeError` - If the AutoGladeObject cannot be initialized because some values are missing this `Exception` is raised.

### connectIfNotConnected(self, signal, handler, *args) Connect the specified signal with handler if there's no another handler defined.

### __getElementByName(self, name) Get the DOM element by name. Parameters: `name` - Element name to find (type=str)

Class Variable Details

    ### DEBUG Type: `bool` Value:
        True

    ### _AutoGladeObject__autoglade Type: `NoneType` Value:
        None

    ### _AutoGladeObject__element Type: `NoneType` Value:
        None

    ### _AutoGladeObject__name Type: `NoneType` Value:
        None

    ### _AutoGladeObject__widget Type: `NoneType` Value:
        None

Generated by Epydoc 2.1 on Sun Sep 30 22:02:21 2007 | http://epydoc.sf.net